import { BrsType } from ".";
export interface Boxable {
    box(): BrsType;
    inArray: boolean;
}
export interface Unboxable {
    unbox(): BrsType;
    copy(): BrsType;
}
export declare function isBoxable(value: BrsType): value is BrsType & Boxable;
export declare function isUnboxable(value: BrsType): value is BrsType & Unboxable;
